Hogyan telepíthetem az Adobe AIR programot?

153

Nagyon sok felhasználó vagyok az AIR-ra épülő alkalmazásokban.

Úgy tűnik, hogy az AIR megszakította a Linux támogatását. Még az Adobe AIR Archives régebbi verziói is úgy tűnik, hogy csak 32 bites Linux disztribúciókat támogatnak, és jelenleg 64 bites vagyok.

Van még enyhe lehetőség, hogy AIR-ot futtathatok ilyen körülmények között? Ha igen, kérdezd meg, hol tudok részletes lépésről lépésre telepíteni?

    
készlet Vamsi Emani 13.12.2011 15:51
forrás

8 válasz

225

Három programra van szükségem levegőre - YNAB, LongTailPro, Xtend:

  1. Legfrissebb verzió letöltése 2.6.0 Linux számára az asztalhoz:

  2. Ctrl + Alt + T a terminál megnyitásához

  3. sudo apt-get install ia32-libs - (32 bites hulladék, ha futtatni szeretné ezt az Ubuntu x64-ben, ha bajod van, olvassa el a függ. ia32-libs-multiarch, de nem telepíthető "- Megoldás )

  4. cd Desktop (változtasd meg a címeket az asztali könyvtárba)

  5. chmod +x AdobeAIRInstaller.bin (változtatási mód - engedélyezés engedélyezése igen)

  6. ./AdobeAIRInstaller.bin (miután elfogadta az Adobe Air licencet, felszólítja a jelszavát, gyökér hozzáférést igényel a telepítéshez)

Lehet, hogy hibát kap az utolsó parancs után?

  

Sajnáljuk, hiba történt. Az Adobe AIR nem telepíthető. Telepítse a Gnome kulcstartót vagy a KDE KWallet-t az Adobe AIR telepítése előtt.

Ez fixálható:

  • Egy terminálban (alapértelmezett parancsikont: Ctrl + Alt + T) írja be:

    locate libgnome-keyring.so
    
  • Ez az én eredményem (a tiéd lehet más):

    /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0
    /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0
    
  • Ahogy a @jmendeth azt javasolja, a legegyszerűbb módja annak, hogy megmondja a telepítőnek, hogy hol találja ezeket a fájlokat az LD_LIBRARY_PATH használatához:

    • A 32 bites Ubuntu (12.04 verzióra tesztelve):

      LD_LIBRARY_PATH=/usr/lib/i386-linux-gnu ./AdobeAIRInstaller.bin
      
    • 64 bites Ubuntu esetén a parancssor valószínűleg:

      LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu ./AdobeAIRInstaller.bin
      

Ha az LD_LIBRARY_PATH trükk nem működik, akkor kipróbálhatja ezt:

  • Hozzon létre egy szimbolikus linket az előző parancsokhoz tartozó helysortárokkal:

    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    
  • Használja a következő parancsokat a 32 bites rendszerekhez:

    sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    sudo ln -s /usr/lib/i386-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0
    
  • Ezután ismételje meg a 4. és a 4. lépést. 6 (kihagyja az 5-öt, mivel a fájl futtatásának engedélye nem változott).

  • Szimbolikus linkek eltávolítása az Adobe AIR 2.6.0 telepítése után:

    sudo rm /usr/lib/libgnome-keyring.so.0
    sudo rm /usr/lib/libgnome-keyring.so.0.2.0
    

Referencia:

válasz adott bashpotato 09.04.2012 04:26
forrás
43

Ubuntu 13.10, 14.04, 15.04 és 15.10 (64 bit)

  1. Telepítse az i386 könyvtárakat, amelyek az Adobe Air és a levegő alkalmazások sikeres telepítéséhez és futtatásához szükségesek.

    sudo apt-get install libxt6:i386 libnspr4-0d:i386 libgtk2.0-0:i386 libstdc++6:i386 libnss3-1d:i386 lib32nss-mdns libxml2:i386 libxslt1.1:i386 libcanberra-gtk-module:i386 gtk2-engines-murrine:i386
    
  2. Telepítse alibgnome-keyring0:i386 csomagot.

    sudo apt-get install libgnome-keyring0:i386
    
  3. Hozzon létre szimbolikus linkeket a gnome-kulcstartókhoz, így az Adobe Air láthatta.

    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0 /usr/lib/libgnome-keyring.so.0
    
    sudo ln -s /usr/lib/x86_64-linux-gnu/libgnome-keyring.so.0.2.0 /usr/lib/libgnome-keyring.so.0.2.0 
    
  4. Az Adobe Air telepítőjének letöltése itt .

  5. Adja meg a futtatási engedélyt, majd futtassa azt a .bin fájlt.

    sudo chmod +x AdobeAIRInstaller.bin
    sudo ./AdobeAIRInstaller.bin
    

Forrás

Megjegyzés az Ubuntu 16.04 (64 bites)

számára

Ubuntu 16.04 és újabb verziója esetén telepítse alibnss-mdns:i386 csomagot alib32nss-mdns csomag helyett. Ez megoldja a "Csomag nem található hibája" problémáját.

    
válasz adott Avinash Raj 29.03.2014 00:36
forrás
18

Alternatívaként telepíthet egy előre definiált .deb

fájlt

Van air 2.6 (az utolsó támogatott Linux), amely ide mindkettő számára architektúrák (mindkettő 32 bites alatta, de legalább működik). Köszönhetően a prüszkánnak , hogy rámutatott.

Győződjön meg róla, hogy 32 bites könyvtára van szüksége:

sudo apt-get install ia32-libs

Letöltöttem az AMD64-et (adobeair_2.6.0.19170_amd64.deb) és telepítettem a számítógépre (am64 a Precise Pangolin 12.04-tel)

sudo dpkg -i adobeair_2.6.0.19170_amd64.deb

Akkor telepítettem az alkalmazást, amelyre az Adobe Air szükséges volt, és működött.

Update for Ubuntu 13:10 + ,

Ezt a technikát próbálja megkapni: "A ia32-libs-gtk csomag nincs telepítve"

Felnéztem a csomagot , és megpróbáltam telepíteni azokat a függőségeket és egyéb kapcsolódó csomagokat, amelyekre gondolok közvetlenül:

sudo apt-get install gtk2-engines:i386 libart-2.0-2:i386 libcairo2:i386 libcanberra-gtk0:i386 libdatrie1:i386 libgail-common:i386 libgconf2-4:i386 libgtk2.0-0:i386 liblua5.1-0:i386 libpango1.0-0:i386 libpixman-1-0:i386 libqt4-network:i386 libqt4-test:i386 libqtcore4:i386 libthai0:i386 libbonobo2-0:i386 libglade2-0:i386 libgnomecanvas2-0:i386 libidl0:i386 liborbit2:i386 libwmf0.2-7:i386 gtk2-engines-murrine:i386

De ez nem működött sem a deb vagy eredeti bináris .

    
válasz adott yuvilio 29.05.2012 21:56
forrás
13

Ubuntu 14.04 - 32 és 64 bites - egyszerű .deb telepítés

A multiarch működésének köszönhetően egyszerűen telepítheti az i386 .deb fájlt az újabb 64 bites Ubuntuban, és automatikusan telepíti a megfelelő függőségeket. (A 64 bites .deb is csak a 32 bites, átcsomagolva az ia32-libs függõséggel)

  1. Töltse le a 32 bites (igen, még a 64 bites Ubuntu) deb: link (a yuvilio válaszának köszönhetően) A 64 bites csomag ugyanazon a webhelyen a 32 bit átcsomagolt változata, akkor ha problémát okoz a 64 bites csomagot használja a 32 bites csomagot a 32 és 64 bites Ubuntu 13.10 + rendszerekhez.

  2. Nyissa meg a szoftverközpontot, majd kattintson az Telepítés

    gombra

    Figyelmen kívül hagyja a csomagminőségre vonatkozó figyelmeztetést

Másik megoldásként, ha van Steam játék, amelyhez Air szükséges, egyszerűen telepítse és futtassa a játékot, és a játék első játékában telepíti az Airt.

Olyan játékok, amelyek Airt használnak:

  • Védők küldetése
  • Anodyne (zavarodott, ha már van Air telepítve, futtasd meg asudo apt-get remove adobeair -ot, és próbáld újra a játék telepítőjét, mert Airzel van)

Ezeket a Heti Halkaberendezés során találtuk néhány nyílt forráskódú projekt támogatására.

    
válasz adott Mateo 30.03.2014 13:46
forrás
6

1. lépés: Szerezzen levegőt Ezután töltse le az Adobe Air .bin fájlt ( közvetlen link itt ).

2. lépés: Telepítés

Nyisson egy terminált (alkalmazások > Tartozékok > Terminál) és keresse meg a Letöltések mappát (vagy a mappát, amelyben a .bin fájlt mentette).

* cd Download/

A .bin fájlnak engedélyezni kell a telepítést, ezért óvatosan írja be a következő parancsot: -

* chmod +x AdobeAIRInstaller.bin

Most telepítse azt:

* ./AdobeAIRInstaller.bin

A telepítésnek zipnek kell lennie, és ha minden rendben megy, egy új menüpont jelenik meg az "Alkalmazások > Tartozékok "címet viselő" Adobe Air Application Installer "alkalmazással.

    
válasz adott Rubyist 10.01.2012 05:14
forrás
4

... végül valami baj után, és sok keresést követően ezen a fórumon, a google és mások oldalai sikerült. Először szeretnék köszönetet mondani a közösségnek, amely több ambíciót adott nekem, mint hogy hagyjon abba az AdobeAir telepítéséhez.

Az egész probléma a ia32-libs ( ia32-libs csomag volt, amely 32 bites csomagokat kapott egy 64 bites telepítéshez.) Ubuntu 11.10 verziója (Oneiric ), A Multi Arch hozzáadásra került, amelynek egyik célja az ia32-libs csomag eltávolítása ), amelyre a Canonical úgy döntött, hogy befejezi a támogatását.

Mindössze annyit kellett tennie, hogy az ia32-libs csomagot telepítsem:

1 - '' deb link raring fő korlátozott univerzum multiversepackage forrás ''

Ezt a gyors és egyszerű útmutatót követtem:

link

2 - ez az oldal, amely az Adobe Air 64-bit rendszerekhez

www.thepowerbase.com/2013/06/how-to-install-adobe-air-in-ubuntu-13-04 /

----------------- az általam használt dokumentáció: ----------- ----

www.askubuntu.com/questions/87447/how-can-i-install-adobe-air
helpx.adobe.com/air/kb/archived-air-sdk-version.html
www.wiki.phoenixviewer.com/ia32-libs-in-ubuntu-13-10
www.ubuntuforums.org/showthread.php?t=2181649
www.askubuntu.com/questions/91815/how-to-install-software-or-upgrade-from-old-    unsupported-release  

P.S. --- ahogyan azt Alvar megjegyezte, az Adobe Air for Linux már nem támogatott ---

    
válasz adott Cester Nilap 06.11.2013 10:08
forrás
1

Sajnos sok évvel később "az Adobe AIR for Linux már nem támogatott". miután az Adobe weboldala mondja. Az "AIR archívum" használatával lehetséges, hogy nem támogatott verziók érhetők el, a legfrissebb a 2.6.0 verzió. Ha olyan programot kell telepítenie, amelyik újabb verziót igényel, akkor a Windows virtuális fiókjába léphet.

Az Ubuntu 16.10 ajánlott lépései:

a 32 bites géphez

wget -O adobe-air_i386.deb http://drive.noobslab.com/data/apps/AdobeAir/adobeair_2.6.0.2_i386.deb
sudo dpkg -i adobe-air_i386.deb
sudo apt-get install -f && rm adobe-air_i386.deb

64 bites gépre

wget -O adobe-air_amd64.deb http://drive.noobslab.com/data/apps/AdobeAir/adobeair_2.6.0.2_amd64.deb
sudo dpkg -i adobe-air_amd64.deb
sudo apt-get install -f && rm adobe-air_amd64.deb

Az Ubuntu 16.04 / 14.04 / 12.04 / Linux Mint 18/17/13 ajánlott lépései (mindkettő a itt ):

wget -O adobe-air.sh http://drive.noobslab.com/data/apps/AdobeAir/adobe-air.sh
chmod +x adobe-air.sh;sudo ./adobe-air.sh
    
válasz adott Fábio 30.03.2017 19:53
forrás
0

Van Ubuntu 14.04 64 bites. Az Adobe Air telepítésének egyetlen módja az volt, hogy kövesse ezeket a telepítési utasításokat Balsamiq az Ubuntuban , ez az, amit elsőként próbáltam megtenni.

Az utasítások rövid összefoglalása: - Tölts le ezt az Adobe Air telepítőt - A 32 bites libgtk csomag telepítése (de kihagytam ezt a lépést, nem működött számomra, és nem tűnt szükségesnek) - Szimbolikus linkek létrehozása két libgnome-kulcstartományra - Az Adobe Air telepítőjének végrehajtása és futtatása sudo-val

    
válasz adott Steve Saporta 29.01.2015 23:46
forrás